/*
 * Segment 4 Datenübernahme und Aufbereitung, SWE 4.5 Abfrage Puffer
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.dua.abfrpuffer;

import java.util.LinkedList;

import de.bsvrz.sys.funclib.application.StandardApplicationRunner;

/**
 * Simulation einer Menge von SteuerModulen, Es kann nur auf Anfragen Antworten,
 * keine Ereignise passieren.
 *
 * @author BitCtrl Systems GmbH, Bachraty
 *
 */
public class EinfacheKommunikation {

	/**
	 * Wird zum Start der Applikation aufgerufen.
	 *
	 * @param args
	 *            Aufrufargumente der Applikation
	 */
	public static void main(final String[] args) {

		final LinkedList<DePid> axllist = new LinkedList<>();
		final LinkedList<DePid> lvelist = new LinkedList<>();

		final long intervall = 8;
		lvelist.add(new DePid("B27KR1.SM197_4397.EAK1.DeLve65", "fs.MQ.B27.4397.Aus2.N.HFS", intervall));
		lvelist.add(new DePid("B27KR1.SM197_4397.EAK1.DeLve66", "fs.MQ.B27.4397.Aus2.N.1ÜFS", intervall));
		lvelist.add(new DePid("B27KR1.SM197_4397.EAK1.DeLve33", "fs.MQ.B27.4397.Aus.N.HFS", intervall));
		lvelist.add(new DePid("B27KR1.SM197_4397.EAK1.DeLve1", "fs.MQ.B27.4397.HFB.N.HFS", intervall));
		lvelist.add(new DePid("B27KR1.SM197_4397.EAK1.DeLve2", "fs.MQ.B27.4397.HFB.N.1ÜFS", intervall));

		axllist.add(new DePid("testAXL.SM_1001.EAK1.DeAxl_1", "testAXL.SM_1001.EAK1.MsAxl_1", intervall));
		axllist.add(new DePid("testAXL.SM_1001.EAK1.DeAxl_2", "testAXL.SM_1001.EAK1.MsAxl_2", intervall));
		axllist.add(new DePid("testAXL.SM_1001.EAK1.DeAxl_3", "testAXL.SM_1001.EAK1.MsAxl_3", intervall));

		final SteuerModulSim stm = new SteuerModulSim(axllist, "testAXL.SM_1001.EAK1.AxlDeSammelkanal_1", lvelist,
				"B27KR1.SM197_4397.EAK1.DeSammelkanal_1");
		// SteuerModulSim stm = new SteuerModulSim(axllist,
		// "testAXL.SM_1001.EAK1.AxlDeSammelkanal_1", null, null);

		final SmRunner smRunner = SmRunner.getInstance();
		smRunner.add(stm);
		StandardApplicationRunner.run(smRunner, args);
	}

}
